/*
 * @(#)Animatable.java 5.1
 *
 */

package CH.ifa.draw.util;


/**
 * Animatable defines a simple animation interface
 */
public interface Animatable {

    /**
     * Initialize the animation.
     */
    void animationStart();

    /**
     * Perform a step of the animation.
     */
    void animationStep();

    /**
     * Terminate the animation.
     */
    void animationStop();
}